> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cambioml.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Async Upload

> This endpoint provides a pre-signed URL for uploading a file and a unique file ID.



## OpenAPI

````yaml POST /async/upload
openapi: 3.0.1
info:
  title: AnyParser RT API
  description: >-
    A real-time parser designed to extract content from various file formats,
    including PDFs and DOCX files.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://public-api.cambio-ai.com
security:
  - apiKeyAuth: []
paths:
  /async/upload:
    post:
      summary: Upload a file asynchronously
      description: >-
        This endpoint provides a pre-signed URL for uploading a file and a
        unique file ID.
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
          description: Your API key.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                file_name:
                  type: string
                  description: The name of the file to be uploaded.
                process_type:
                  type: string
                  enum:
                    - file
                    - table
                    - json
                    - file_refined_quick
                    - extract_pii
                  description: >-
                    The type of processing to apply to the uploaded file.
                    Default is `file`, which will parse full content from the
                    input file. `table` will extract tables from the input file.
                    `json` will extract key-value pairs from the input file.
                    `file_refined_quick` will parse the full content from the
                    input file with a larger model. `extract_pii` will extract
                    PII (personally identifiable information) from the input
                    file.
                extract_args:
                  type: object
                  description: Arguments for extraction processing.
                  additionalProperties: true
              required:
                - file_name
                - process_type
      responses:
        '200':
          description: File upload details
          content:
            application/json:
              schema:
                type: object
                properties:
                  file_id:
                    type: string
                    description: The unique identifier of the file.
                  presignedUrl:
                    type: string
                    description: A pre-signed URL for uploading your docx or pdf file.
        '429':
          description: Rate limit exceeded. Only 1 request per second is allowed.
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````